javax.servlet.http

## Interface HttpServletMapping

-     public interface HttpServletMapping

  Represents how the request from which this object was obtained was mapped to the associated servlet.
  Since:
    Servlet 4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MappingMatch` | `getMappingMatch()`
    `java.lang.String` | `getMatchValue()`
    `java.lang.String` | `getPattern()`
    `java.lang.String` | `getServletName()`

- - ### Method Detail

    - #### getMatchValue

          java.lang.String getMatchValue()

      Returns:
        The value that was matched or the empty String if not known.

    - #### getPattern

          java.lang.String getPattern()

      Returns:
        The `url-pattern` that matched this request or the empty String if not known.

    - #### getServletName

          java.lang.String getServletName()

      Returns:
        The name of the servlet (as specified in web.xml, `WebServlet.name()`, `ServletContext.addServlet(String, Class)` or one of the other `addServlet()` methods) that the request was mapped to.

    - #### getMappingMatch

          MappingMatch getMappingMatch()

      Returns:
        The type of match (`null` if not known)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.